/*
@Copyright Looking Glass Studios, Inc.
1996,1997,1998,1999,2000 Unpublished Work.
*/

// $Header: r:/t2repos/thief2/dllsrc/mottable/motdata.c,v 1.36 1998/02/20 11:18:43 kate Exp $

#include <motdata.h>
#include <string.h>

#define MDT_PLAYER_SWORD_SWING MDT_TEST

MotDesc g_aMotDescs[] = { \
/////////
/// Player Motions
/////////
{ "GASidle", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GASswng", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GASbegn", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GASend", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GALidle", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GALfrob", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GALbegn", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GALend", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GAEfrob", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GABidle", MDT_TEST, FALSE, BLEND_NONE },
{ "GABaim", MDT_TEST, FALSE, BLEND_NONE },
{ "GABrelx", MDT_TEST, FALSE, BLEND_NONE },
{ "GABbegn", MDT_TEST, FALSE, BLEND_NONE },
{ "GABend", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "plysword", MDT_TEST, FALSE },
{ "pssnorm", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "pssup", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "pssside", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "pssbludg", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "pepull", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "plpick", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "BW097", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "BW098", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "d99brelx", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "d99bdraw", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "d99bdown", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "d99bbegn", MDT_TEST, FALSE, BLEND_NONE },
{ "d99aback", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "BW_RAN100", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "BW_RB100", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "BW_DR100", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GSS030", MDT_TEST, FALSE, BLEND_NONE },
{ "GSW031A", MDT_TEST, FALSE, BLEND_NONE },
{ "GSW031B", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GSW031C", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "GSW056_C", MDT_PLAYER_SWORD_SWING, FALSE, BLEND_DEFAULT },
{ "GSW056_D", MDT_PLAYER_SWORD_SWING, FALSE, BLEND_DEFAULT },
{ "GSW057_C", MDT_PLAYER_SWORD_SWING, FALSE, BLEND_DEFAULT },
{ "GSW058_A", MDT_PLAYER_SWORD_SWING, FALSE, BLEND_DEFAULT },
{ "GSW058_B", MDT_PLAYER_SWORD_SWING, FALSE, BLEND_DEFAULT },
{ "GA213006", MDT_TEST, FALSE, BLEND_DEFAULT }, // short swing
{ "GA213015", MDT_TEST, FALSE, BLEND_DEFAULT }, // medium swing
{ "GA213063", MDT_TEST, FALSE, BLEND_DEFAULT }, // long swing
{ "GA213080", MDT_TEST, FALSE, BLEND_DEFAULT }, // windup for 006
{ "GA213081", MDT_TEST, FALSE, BLEND_DEFAULT }, // followthru for 006
{ "GA213082", MDT_TEST, FALSE, BLEND_DEFAULT }, // windup for 015
{ "GA213083", MDT_TEST, FALSE, BLEND_DEFAULT }, // followthru for 015
{ "GA213084", MDT_TEST, FALSE, BLEND_DEFAULT }, // windup for 063
{ "GA213085", MDT_TEST, FALSE, BLEND_DEFAULT }, // followthru for 063
{ "GA213086", MDT_TEST, FALSE, BLEND_DEFAULT }, // alternate 063 windup
{ "GA213087", MDT_TEST, FALSE, BLEND_DEFAULT }, // alternate 063 followthru
{ "GA114322", MDT_TEST, FALSE, BLEND_DEFAULT }, // lockpick start
{ "GA114323", MDT_TEST, FALSE, BLEND_DEFAULT }, // lockpick turn
{ "GA114324", MDT_TEST, FALSE, BLEND_DEFAULT }, // lockpick finish
{ "PSW058_A", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "PSW056_C", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "PSW058_B", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "ASW058_A", MDT_TEST, FALSE, BLEND_DEFAULT }, //rotated shoulder
{ "ASW058_B", MDT_TEST, FALSE, BLEND_DEFAULT }, //rotated shoulder
{ "PSW056_D", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "ASW057_C", MDT_TEST, FALSE, BLEND_DEFAULT }, //rotated shoulder
{ "PSW057_C", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "PS213211", MDT_TEST, FALSE, BLEND_DEFAULT },
{ "PH213003", MDT_TEST, FALSE, BLEND_DEFAULT }, // Short swing
{ "SH213003", MDT_TEST, FALSE, BLEND_DEFAULT }, // Short swing wound position **
{ "MH213003", MDT_TEST, FALSE, 100 /*msec*/ }, // Short swing follow through **
{ "PH213012", MDT_TEST, FALSE, BLEND_DEFAULT }, // Long swing
{ "SH213012", MDT_TEST, FALSE, BLEND_DEFAULT }, // Long swing wound position **
{ "MH213012", MDT_TEST, FALSE, BLEND_NONE }, // Long swing follow through **
{ "PH213056", MDT_TEST, FALSE, BLEND_DEFAULT }, // Medium swing
{ "SH213056", MDT_TEST, FALSE, BLEND_DEFAULT }, // Medium swing wound position **
{ "MH213056", MDT_TEST, FALSE, BLEND_DEFAULT }, // Medium swing follow through **
{ "AH213211", MDT_TEST, FALSE, BLEND_DEFAULT }, // Block **
{ "PH212202", MDT_TEST, FALSE, BLEND_DEFAULT }, // Draw to ready **
{ "PH212203", MDT_TEST, FALSE, BLEND_DEFAULT }, // 60 frames ready **
{ "PH212205", MDT_TEST, FALSE, BLEND_DEFAULT }, // 10 frames down **
{ "GA213030", MDT_TEST, FALSE, BLEND_DEFAULT }, // Big top to bottom swing
{ "GA213070", MDT_TEST, FALSE, BLEND_DEFAULT }, // 10 frames ready of GA213030

////////
// To become player mots
////////
{ "DS030", MDT_TEST, FALSE, BLEND_NONE },
{ "RS031", MDT_TEST, FALSE, BLEND_NONE },
{ "SW060_A", MDT_TEST, FALSE, BLEND_NONE },
{ "SW060_B", MDT_TEST, FALSE, BLEND_NONE },

/////////
/// AI Motions
/////////
{ "Calibt", MDT_GUARD_CALIB, FALSE },
{ "test", MDT_TEST, FALSE },
{ "BH111001", MDT_GESTURE_GUARD_CASUAL, FALSE, BLEND_DEFAULT },
{ "BH111030", MDT_RUN_LEFT_SERVANT, TRUE, BLEND_NONE },
{ "BH111031", MDT_RUN_RIGHT_SERVANT, TRUE, BLEND_NONE },
{ "BH111100", MDT_CLIMB_LEFT_GUARD_CASUAL, TRUE, BLEND_NONE },
{ "BH111101", MDT_CLIMB_RIGHT_GUARD_CASUAL, TRUE, BLEND_NONE },
{ "BH111110", MDT_DESCEND_LEFT_GUARD_CASUAL, TRUE, BLEND_NONE },
{ "BH111111", MDT_DESCEND_RIGHT_GUARD_CASUAL, TRUE, BLEND_NONE },
{ "BH112100", MDT_SURPRISE_AHEAD, FALSE, BLEND_DEFAULT },
{ "BH112102", MDT_SURPRISE_LEFT, FALSE, BLEND_DEFAULT },
{ "BH112103", MDT_SURPRISE_RIGHT, FALSE, BLEND_DEFAULT },
{ "BH112502", MDT_GESTURE_GUARD_CASUAL, FALSE, BLEND_DEFAULT },
{ "BH114155", MDT_GESTURE_GUARD_CASUAL, FALSE, BLEND_DEFAULT },
{ "BH114201", MDT_GESTURE_GUARD_CASUAL, FALSE, BLEND_DEFAULT },
{ "BH114310", MDT_TEST, FALSE, BLEND_DEFAULT }, // called by script
{ "BH114325", MDT_TEST, FALSE, BLEND_DEFAULT }, // called by script
{ "BH114326", MDT_TEST, FALSE, BLEND_DEFAULT }, // called by script
{ "BH114328", MDT_TEST, FALSE, BLEND_DEFAULT }, // called by script
{ "BH114329", MDT_TEST, FALSE, BLEND_DEFAULT }, // called by script
{ "BH114380", MDT_AWAKEN_SERVANT, TRUE },
{ "BH114605", MDT_TEST, FALSE, BLEND_DEFAULT }, // called by script
{ "BH211003", MDT_STAND_GUARD_CASUAL, TRUE, BLEND_DEFAULT },
{ "BH211005", MDT_STAND_GUARD_READY, TRUE, BLEND_DEFAULT},
{ "BH211006", MDT_ALERT1_GUARD, FALSE, BLEND_DEFAULT},
{ "BH211007", MDT_COMBAT_IDLE, FALSE, BLEND_DEFAULT},
{ "BH211011", MDT_WALK_LEFT_GUARD_CASUAL, TRUE },
{ "BH211012", MDT_WALK_RIGHT_GUARD_CASUAL, TRUE },
{ "BH211015", MDT_WALK_START_GUARD_CASUAL, TRUE },
{ "BH211018", MDT_WALK_END_GUARD_CASUAL, TRUE },
{ "BH211040", MDT_WALK_LEFT_GUARD_READY, TRUE },
{ "BH211041", MDT_WALK_RIGHT_GUARD_READY, TRUE },
{ "BH211239", MDT_RUN_TURN_180, FALSE, BLEND_DEFAULT },
{ "BH212003", MDT_ALERT2_GUARD, FALSE, BLEND_DEFAULT },
{ "BH212004", MDT_ALERT2_GUARD, FALSE, BLEND_DEFAULT },
{ "BH212005", MDT_ALERT2_GUARD, FALSE, BLEND_DEFAULT },
{ "BH212007", MDT_WALK_SEARCH_START_GUARD_READY, FALSE, BLEND_NONE },
{ "BH212008", MDT_WALK_SEARCH_CYCLE_GUARD_READY, FALSE, BLEND_NONE },
{ "BH212104", MDT_ALERT3_GUARD, FALSE, BLEND_DEFAULT },
{ "BH212104", MDT_SURPRISE_BEHIND, FALSE, BLEND_DEFAULT },
{ "BH212106", MDT_ALERT3_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213001", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213001", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT },
{ "BH213002", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
// { "BH213002", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT }, // sometimes misses
{ "BH213003", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213003", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT },
{ "BH213004", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213004", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT },
{ "BH213006", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
// { "BH213006", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT }, // misses
{ "BH213007", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
// { "BH213007", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT }, // misses
{ "BH213008", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
// { "BH213008", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT }, // misses
{ "BH213010", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213010", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT },
{ "BH213011", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
// { "BH213011", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT }, // misses
{ "BH213012", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213012", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT },
{ "BH213016", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213016", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT },
{ "BH213017", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213017", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT },
{ "BH213020", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213020", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT },
{ "BH213021", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213021", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT },
{ "BH213025", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213025", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT },
{ "BH213026", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213026", MDT_SWORD_ATTACK_SHORT, FALSE, BLEND_DEFAULT },
{ "BH213030", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213030", MDT_SWORD_ATTACK_LONG, FALSE, BLEND_DEFAULT },
{ "BH213031", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213031", MDT_SWORD_ATTACK_LONG, FALSE, BLEND_DEFAULT },
{ "BH213032", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213032", MDT_SWORD_ATTACK_LONG, FALSE, BLEND_DEFAULT },
{ "BH213057", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213057", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT },
{ "BH213060", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213060", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT },
{ "BH213062", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213062", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT },
{ "BH213063", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213063", MDT_SWORD_ATTACK_LONG, FALSE, BLEND_DEFAULT },
{ "BH213200", MDT_SWORD_PARRY_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213201", MDT_SWORD_PARRY_GUARD, FALSE, BLEND_DEFAULT }, // stupid-looking
{ "BH213202", MDT_SWORD_PARRY_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213203", MDT_SWORD_PARRY_GUARD, FALSE, BLEND_DEFAULT }, // stupid-looking
//{ "BH213250", MDT_RETREAT_GUARD, FALSE, BLEND_DEFAULT }, // stupid-looking
{ "BH213251", MDT_RETREAT_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213252", MDT_SIDESTEP_RIGHT_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213253", MDT_SIDESTEP_LEFT_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213256", MDT_SWORD_DODGE_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213257", MDT_SWORD_DODGE_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213300", MDT_ADVANCE_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213500", MDT_HURT_LIGHTLY, FALSE },
{ "BH213501", MDT_HURT_LIGHTLY, FALSE },
{ "BH213502", MDT_HURT_LIGHTLY, FALSE },
{ "BH213510", MDT_HURT_BADLY, FALSE },
{ "BH213511", MDT_HURT_BADLY, FALSE },
{ "BH213512", MDT_HURT_BADLY, FALSE },
{ "BH213513", MDT_HURT_BADLY, FALSE },
{ "BH213514", MDT_HURT_LIGHTLY, FALSE },
{ "BH213520", MDT_HURT_BADLY, FALSE },
{ "BH213521", MDT_HURT_LIGHTLY, FALSE },
{ "BH213530", MDT_HURT_BADLY, FALSE },
{ "BH213531", MDT_HURT_BADLY, FALSE },
{ "BH213540", MDT_HURT_LIGHTLY, FALSE },
{ "BH213541", MDT_HURT_LIGHTLY, FALSE },
{ "BH213542", MDT_HURT_BADLY, FALSE },
{ "BH213562", MDT_HURT_LIGHTLY, FALSE },
{ "BH213602", MDT_STUN_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213701", MDT_DIE_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213702", MDT_DIE_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213703", MDT_DIE_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213705", MDT_DIE_GUARD, FALSE, BLEND_DEFAULT },
{ "BH213706", MDT_DIE_GUARD, FALSE, BLEND_DEFAULT },
{ "BH214101", MDT_TEST, FALSE, BLEND_DEFAULT }, // called by script
{ "BH214111", MDT_TEST, FALSE, BLEND_DEFAULT }, // called by script
//
// Here are a bunch of things commented out for AI motions
//
//{ "BH111000", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111002", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111003", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111010", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111011", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111015", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111016", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111020", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111021", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111025", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111026", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111030", MDT_RUN_LEFT_SERVANT, TRUE, BLEND_NONE },
//{ "BH111031", MDT_RUN_RIGHT_SERVANT, TRUE, BLEND_NONE },
//{ "BH111035", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111036", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111040", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111041", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111045", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111046", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111048", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111050", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111100", MDT_CLIMB_LEFT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "BH111101", MDT_CLIMB_RIGHT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "BH111110", MDT_DESCEND_LEFT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "BH111111", MDT_DESCEND_RIGHT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "BH111200", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111201", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111210", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111211", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111217", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111218", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111220", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111225", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111226", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH111230", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111231", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111232", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH111300", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112001", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112002", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112003", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112004", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112010", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112011", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112012", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112015", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112016", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112017", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112020", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112021", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112022", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112030", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112100", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112101", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112102", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112103", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112105", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH112106", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH112107", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH112108", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH112109", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH112200", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112201", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112203", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112206", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112503", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112510", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH112550", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113501", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113502", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113503", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113510", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113511", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113512", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113520", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113521", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113522", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113540", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113550", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113600", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH113601", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114001", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114002", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114003", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114004", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114005", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114006", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114007", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114008", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114009", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114010", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114011", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114012", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114100", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114120", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114150", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114151", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114152", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114153", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114202", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114300", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114301", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114311", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114320", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114321", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114322", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114327", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114330", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114350", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114351", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114352", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114355", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114356", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114357", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114381", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114382", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114383", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114400", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114401", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114402", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114403", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114404", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114405", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114406", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114407", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114408", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114410", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114411", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114412", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114413", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114420", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114421", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114422", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114423", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114424", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114500", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114501", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH114502", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211000", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211001", MDT_TEST, TRUE, BLEND_DEFAULT }, // the "just stand there" attack
//{ "BH211002", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211004", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211010", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211011", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211012", MDT_WALK_LEFT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "BH211013", MDT_WALK_RIGHT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "BH211015", MDT_WALK_START_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "BH211016", MDT_WALK_START_GUARD_CASUAL, FALSE, BLEND_DEFAULT },
//{ "BH211018", MDT_WALK_END_GUARD_CASUAL, TRUE },
//{ "BH211020", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211021", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211025", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211026", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211030", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211031", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211035", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211036", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211040", MDT_WALK_LEFT_GUARD_READY, TRUE, BLEND_NONE },
//{ "BH211041", MDT_WALK_RIGHT_GUARD_READY, TRUE, BLEND_NONE },
//{ "BH211050", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211051", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211200", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211201", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211202", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211203", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211210", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211211", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211212", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211213", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211220", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211230", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211231", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211232", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH211235", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH211239", MDT_RUN_TURN_180, FALSE, BLEND_DEFAULT },
//{ "BH212007", MDT_WALK_SEARCH_START_GUARD_READY, FALSE, BLEND_DEFAULT },
//{ "BH212008", MDT_WALK_SEARCH_CYCLE_GUARD_READY, FALSE, BLEND_NONE },
//{ "BH212010", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH212011", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH212201", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH212204", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH212206", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH212207", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH212300", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213005", MDT_TEST, FALSE, BLEND_DEFAULT },  // WAS S_A_S
//{ "BH213015", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },// arm gets twisted
//{ "BH213015", MDT_SWORD_ATTACK_MEDIUM, FALSE, BLEND_DEFAULT },// arm gets twisted
//{ "BH213040", MDT_TEST, FALSE, BLEND_DEFAULT  },
//{ "BH213055", MDT_TEST, FALSE, BLEND_DEFAULT },  // was S_A_M
//{ "BH213056", MDT_TEST, FALSE, BLEND_DEFAULT },  // was S_A_M
//{ "BH213061", MDT_TEST, FALSE, BLEND_DEFAULT },  // was S_A_S
//{ "BH213100", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213150", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213204", MDT_TEST, FALSE, BLEND_DEFAULT },  // these 4 were all
//{ "BH213205", MDT_TEST, FALSE, BLEND_DEFAULT },  // S_P_G, but they are
//{ "BH213206", MDT_TEST, FALSE, BLEND_DEFAULT },  // low silly blocks, so no go
//{ "BH213207", MDT_TEST, FALSE, BLEND_DEFAULT },  // and they are all almost identical, as well
//{ "BH213210", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213211", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213212", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213250", MDT_RETREAT_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213251", MDT_RETREAT_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213252", MDT_SIDESTEP_LEFT_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213253", MDT_SIDESTEP_RIGHT_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213254", MDT_SWORD_DODGE_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213255", MDT_SWORD_DODGE_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213256", MDT_SWORD_DODGE_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213257", MDT_SWORD_DODGE_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213300", MDT_ADVANCE_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213301", MDT_ADVANCE_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213301", MDT_ADVANCE_GUARD, FALSE, BLEND_DEFAULT },
//{ "BH213550", MDT_TEST, FALSE }, // ??? huge forward  (hit from behind)
//{ "BH213560", MDT_TEST, FALSE },
//{ "BH213561", MDT_TEST, FALSE },
//{ "BH213600", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213601", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213603", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH213604", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH214100", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH214110", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH214112", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH214113", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311000", MDT_TEST, FALSE, BLEND_DEFAULT }, // BH3 are bow guards
//{ "BH311010", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH311011", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH311015", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311016", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH311200", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311201", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311212", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311213", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311220", MDT_TEST, FALSE, BLEND_NONE },
//{ "BH311230", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311231", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311232", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH311233", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313001", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313002", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313005", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313006", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313007", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313010", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313011", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313012", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "BH313013", MDT_TEST, FALSE, BLEND_DEFAULT },
//{ "PA064_", MDT_RETREAT_GUARD, FALSE, BLEND_DEFAULT },
//{ "PA065_", MDT_RETREAT_GUARD, FALSE, BLEND_DEFAULT },
//{ "PA066_L", MDT_SIDESTEP_LEFT_GUARD, FALSE, BLEND_DEFAULT },
//{ "PA066_R", MDT_SIDESTEP_RIGHT_GUARD, FALSE, BLEND_DEFAULT },
//{ "PA067_A", MDT_ADVANCE_GUARD, FALSE, BLEND_DEFAULT },
//{ "PA067_B", MDT_ADVANCE_GUARD, FALSE, BLEND_DEFAULT },
//{ "PA067_C", MDT_ADVANCE_GUARD, FALSE, BLEND_DEFAULT },
//{ "PA068_A", MDT_SWORD_DODGE_GUARD, FALSE, BLEND_DEFAULT },
//{ "PA068_B", MDT_SWORD_DODGE_GUARD, FALSE, BLEND_DEFAULT },
//{ "SW032_L", MDT_WALK_LEFT_GUARD_CASUAL, TRUE },
//{ "SW032_R", MDT_WALK_RIGHT_GUARD_CASUAL, TRUE },
//{ "SW032_RE", MDT_WALK_END_GUARD_CASUAL, TRUE },
//{ "SW032_RL", MDT_WALK_LEFT_GUARD_READY, TRUE },
//{ "SW032_RR", MDT_WALK_RIGHT_GUARD_READY, TRUE },
//{ "SW032_RS", MDT_WALK_START_GUARD_CASUAL, TRUE },
//{ "SW053_A", MDT_WALK_SEARCH_START_GUARD_READY, FALSE, BLEND_NONE },
//{ "SW053_B", MDT_WALK_SEARCH_CYCLE_GUARD_READY, FALSE, BLEND_NONE },
//{ "SW054_", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW054_A", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW054_B", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW054_RL", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW055_A", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW055_B", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW055_C", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW055_D", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW056_A", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
//{ "SW056_B", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
//{ "SW056_C", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
//{ "SW056_D", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT },
//{ "SW056_E", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT }, // arm gets twisted
//{ "SW056_F", MDT_SWORD_ATTACK_GUARD, FALSE },
//{ "SW057_A", MDT_SWORD_ATTACK_GUARD, FALSE },
//{ "SW057_B", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW057_C", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW057_D", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW058_A", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW058_B", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW058_C", MDT_SWORD_ATTACK_GUARD, FALSE, BLEND_DEFAULT  },
//{ "SW_045", MDT_RUN_TURN_180, FALSE, BLEND_DEFAULT },
//{ "Voy38_LD", MDT_CLIMB_LEFT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "Voy38_LU", MDT_DESCEND_LEFT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "Voy38_RD", MDT_CLIMB_RIGHT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "Voy38_RU", MDT_DESCEND_RIGHT_GUARD_CASUAL, TRUE, BLEND_NONE },
//{ "Voy69_2L", MDT_RUN_LEFT_SERVANT, TRUE, BLEND_NONE },
//{ "Voy69_2R", MDT_RUN_RIGHT_SERVANT, TRUE, BLEND_NONE },
};


// XXX this hacked for now,  should start at 0 and be incremented
// when motion added.  Not the case currently because creature.cpp gets number
// of motions to load from here
int g_NumMotDescs=sizeof(g_aMotDescs)/sizeof(MotDesc);


